Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1354214 - mate-notification-daemon hangs with 100% core utilization
Summary: mate-notification-daemon hangs with 100% core utilization
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mate-notification-daemon
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Wolfgang Ulbrich
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-10 20:03 UTC by Davide Repetto
Modified: 2017-05-01 17:28 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-01 17:28:36 UTC


Attachments (Terms of Use)

Description Davide Repetto 2016-07-10 20:03:48 UTC
Description of problem:
=======================
Sometimes mate-notification-daemon hangs with a notification open that cannot be closed, except by killing the process, while pegging the cpu (one core) at 100%

During normal use I get most notifications from Evolution and Opera [downloads] so they're quite sparse. Thus in order to generate more notifications for testing I use "notify-send" in a script.


Version-Release number of selected component (if applicable):
=============================================================
mate-notification-daemon-1.14.1-1.fc24.x86_64


How reproducible:
=================
This is not consistently reproducible. It happens from time to time.
Forcing many notifications though it can be reproduced within a reasonable time frame. At least on my machine.


Steps to Reproduce:
===================
1. Produce somehow a couple notifications per minute until it hangs.

Comment 1 Wolfgang Ulbrich 2016-07-11 07:55:15 UTC
I didn't notice that for myself, and i get a lot notification during the day from fedora.
Can you attach the script for reproducing?
Anything abnormal in logs when this happens?

Comment 2 Wolfgang Ulbrich 2017-05-01 17:28:36 UTC
No answer from reporter!


Note You need to log in before you can comment on or make changes to this bug.